# Package org.spongepowered.asm.mixin.injection.invoke.arg

Support classes for `@ModifyArgs` which handle argument bundles (`Args`).

Class Summary
Args: Argument bundle class used in `ModifyArgs` callbacks.
ArgsClassGenerator: Class generator which creates subclasses of `Args` to be used by the `ModifyArgs` injector.

Exception Summary
ArgumentCountException: Exception thrown when varargs array passed into `Args.setAll(java.lang.Object...)` is of a different length than the args
ArgumentIndexOutOfBoundsException: Exception thrown when attempting to set an argument (via) `Args` which is out of bounds